Loading...
Searching...
No Matches
buffer.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/custom_lock.h>`
`#include <gnuradio/logger.h>`
`#include <gnuradio/runtime_types.h>`
`#include <gnuradio/tags.h>`
`#include <gnuradio/thread/thread.h>`
`#include <gnuradio/transfer_type.h>`
`#include <functional>`
`#include <iostream>`
`#include <map>`
`#include <memory>`
Include dependency graph for buffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::buffer
| Single writer, multiple reader fifo. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Typedefs

typedef std::function< void *(void *, const void *, std::size_t)> | gr::mem_func_t

## Enumerations

enum class | gr::buffer_mapping_type { gr::double_mapped , gr::single_mapped }

## Functions

GR_RUNTIME_API buffer_sptr | gr::make_buffer (int nitems, size_t sizeof_item, uint64_t downstream_lcm_nitems, uint32_t downstream_max_out_mult, block_sptr link=block_sptr(), block_sptr buf_owner=block_sptr())
| Allocate a buffer that holds at least `nitems` of size `sizeof_item`.
GR_RUNTIME_API long | gr::buffer_ncurrently_allocated ()
| returns # of buffers currently allocated